﻿using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace MauiTest
{
    public partial class MainPage : ContentPage
    {
        int count = 0;

        private readonly Line _line;
        private readonly Bar _bar;
        private readonly Pie _pie;
        private readonly Candle _candle;
        private readonly Area _area;
        private readonly BannerTool _BannerTool;

        public MainPage()
        {
            InitializeComponent();

            // Añade el gráfico al contenido de la página
            Content = new StackLayout
            {
                Children = { _tChart,
                //_tChart2,
                //_tChart3,
                //_tChart4,
                //_tChart5
                }
            };

            _line = new Line(_tChart.Chart);
            _tChart.Chart.Series.Add(_line);
            _tChart.Chart.Panning.Allow = Steema.TeeChart.ScrollModes.Both;
            _tChart.Chart.Panning.Active = true;
            //_tChart.Chart.Zoom.Active = true;


            /*
            _bar = new Bar(_tChart2.Chart);
            _tChart2.Chart.Series.Add(_bar);
            //_tChart2.Chart.Panning.Allow = Steema.TeeChart.ScrollModes.Both;
            //_tChart2.Chart.Panning.Active = true;

            _pie = new Pie(_tChart3.Chart);
            _tChart3.Chart.Series.Add(_pie);

            _candle = new Candle(_tChart4.Chart);
            _tChart4.Chart.Series.Add(_candle);
            //_tChart4.Chart.Panning.Allow = Steema.TeeChart.ScrollModes.Both;
            //_tChart4.Chart.Panning.Active = true;



            _area = new Area(_tChart5.Chart);
            _tChart5.Chart.Series.Add(_area);
            //_tChart5.Chart.Panning.Allow = Steema.TeeChart.ScrollModes.Both;
            //_tChart5.Chart.Panning.Active = true;

            */
            _BannerTool = new BannerTool(_tChart.Chart);

            _BannerTool.Shape.Color = System.Drawing.Color.DarkRed;
            _BannerTool.Shape.Font.Color = System.Drawing.Color.LightGray;
            _BannerTool.Shape.Font.Size = 15;
            _BannerTool.Shape.Shadow.Visible = false;
            _BannerTool.Shape.Pen.Visible = false;
            _BannerTool.Position = AnnotationPositions.Center;
            _BannerTool.TextAlign = Steema.TeeChart.Drawing.StringAlignment.Center;
            _BannerTool.Text = "hello";
            _BannerTool.Active = true;
            

        }



        protected override void OnAppearing() {
            _line.FillSampleValues();
            //_bar.FillSampleValues();
            //_pie.FillSampleValues();
            //_candle.FillSampleValues();
            //_area.FillSampleValues();
        }

        private void OnCounterClicked(object sender, EventArgs e)
        {
            count++;

            if (count == 1)
                CounterBtn.Text = $"Clicked {count} time";
            else
                CounterBtn.Text = $"Clicked {count} times";

            SemanticScreenReader.Announce(CounterBtn.Text);
        }
    }

}
